Package org.kie.internal.builder.conf

# Class KBuilderSeverityOption

java.lang.Object
org.kie.internal.builder.conf.KBuilderSeverityOption

All Implemented Interfaces:
  `Serializable`, `MultiValueOption`, `Option`, `KnowledgeBuilderOption`, `MultiValueKieBuilderOption`

public class KBuilderSeverityOption extends Object implements MultiValueKieBuilderOption

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static OptionKey<KBuilderSeverityOption>`
  `KEY`
  `static final String`
  `PROPERTY_NAME`

  ### Fields inherited from interface org.kie.internal.builder.conf.KnowledgeBuilderOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `static KBuilderSeverityOption`
  `get(String key, String severityString)`
  `static KBuilderSeverityOption`
  `get(String key, ResultSeverity severity)`
  `String`
  `getName()`
  `String`
  `getPropertyName()`
  `ResultSeverity`
  `getSeverity()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.kie.internal.builder.conf.KnowledgeBuilderOption

  `type`

  ### Methods inherited from interface org.kie.api.conf.Option

  `propertyName`

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    See Also:
      - Constant Field Values

  - ### KEY

    public static OptionKey<KBuilderSeverityOption> KEY

- ## Method Details

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`

  - ### get

    public static KBuilderSeverityOption get(String key, ResultSeverity severity)

  - ### get

    public static KBuilderSeverityOption get(String key, String severityString)

  - ### getName

    public String getName()

  - ### getSeverity

    public ResultSeverity getSeverity()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`